Subject: Re: bug#74461: [PATCH] Add go-work-ts-mode

From: Randy Taylor <[email-masked]>
Date: Thu, 02 Jan 2025 00:53:00 +0000

On Wednesday, December 25th, 2024 at 15:17, Gabriel Santos <[email-masked]> wrote:
> 
> 
> Actually, since it's not that big of an issue, I'll send in the patch now.
> 
> Em 22 de dezembro de 2024 09:12:21 BRT, Gabriel Santos [email-masked] escreveu:
> 
> > > I'll make the changes you requested and send the updated patch after I'm done.
> > 
> > I just finished updating the patch,
> > but I think it's best to only send it after
> > the point about *--in-directive-p is clarified.

I just replied to that in another email.

> > --
> > Gabriel Santos
> --
> Gabriel Santos

Thanks, I've got a few comments.

Recently, a commentary section:
;;; Tree-sitter language versions
was added to go-ts-mode. Perhaps you can adapt what you wrote in
the commentary section to that?

-  :syntax-table go-ts-mode--syntax-table
Did you mean to remove this for go-work-ts-mode instead?
The commit also mentions `go-work-ts-mode--syntax-table'
which doesn't exist anymore.